summaryrefslogtreecommitdiffstats
path: root/source/a/mcelog
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-06-01 21:28:10 +0000
committer Eric Hameleers <alien@slackware.com>2018-06-02 12:41:13 +0200
commit49c42264db93dbcfad7b9c15f7cb731627cc4ebc (patch)
tree9f4bbeb53f936de5228d333cfb3b8b98064304a7 /source/a/mcelog
parent8c9271e25c83e23cce857e3d79b47280b88a5ec4 (diff)
downloadcurrent-49c42264db93dbcfad7b9c15f7cb731627cc4ebc.tar.gz
current-49c42264db93dbcfad7b9c15f7cb731627cc4ebc.tar.xz
Fri Jun 1 21:28:10 UTC 201820180601212810
a/mcelog-158-x86_64-1.txz: Upgraded. a/pkgtools-15.0-noarch-15.txz: Rebuilt. installpkg, upgradepkg: test tty -s before using tput. Thanks to aaazen. d/cmake-3.11.3-x86_64-1.txz: Upgraded. l/imagemagick-6.9.9_49-x86_64-1.txz: Upgraded. Support OpenMP. This had been disabled years ago due to issues with perl modules, but probably that's been fixed by now. Thanks to olear. l/pygobject3-3.28.3-x86_64-1.txz: Upgraded. x/xf86-input-evdev-2.10.6-x86_64-1.txz: Upgraded. x/xf86-input-synaptics-1.9.1-x86_64-1.txz: Upgraded. xap/fvwm-2.6.8-x86_64-1.txz: Upgraded. extra/xf86-video-fbdev/xf86-video-fbdev-0.5.0-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/mcelog')
-rw-r--r--source/a/mcelog/0001-mcelog-Change-name-of-skylake-interconnect-from-QPI-.patch60
-rwxr-xr-xsource/a/mcelog/mcelog.SlackBuild11
-rw-r--r--source/a/mcelog/slack-desc2
3 files changed, 5 insertions, 68 deletions
diff --git a/source/a/mcelog/0001-mcelog-Change-name-of-skylake-interconnect-from-QPI-.patch b/source/a/mcelog/0001-mcelog-Change-name-of-skylake-interconnect-from-QPI-.patch
deleted file mode 100644
index 488290834..000000000
--- a/source/a/mcelog/0001-mcelog-Change-name-of-skylake-interconnect-from-QPI-.patch
+++ /dev/null
@@ -1,60 +0,0 @@
-From 34f03e306c36487a3720ae96b8ed5fbaa5256b5f Mon Sep 17 00:00:00 2001
-From: Tony Luck <tony.luck@intel.com>
-Date: Tue, 25 Jul 2017 14:45:52 -0700
-Subject: [PATCH] mcelog: Change name of skylake interconnect from QPI to UPI
-
-Skylake interconnect is actually called "UPI" (Ultra Path Interconnect)
-
-Signed-off-by: Tony Luck <tony.luck@intel.com>
-Signed-off-by: Andi Kleen <ak@linux.intel.com>
----
- skylake_xeon.c | 14 +++++++-------
- 1 file changed, 7 insertions(+), 7 deletions(-)
-
-diff --git a/skylake_xeon.c b/skylake_xeon.c
-index fd71b98..16c6181 100644
---- a/skylake_xeon.c
-+++ b/skylake_xeon.c
-@@ -79,7 +79,7 @@ static struct field pcu_mc4[] = {
-
- /* See IA32 SDM Vol3B Table 16-28 */
-
--static char *qpi[] = {
-+static char *upi[] = {
- [0x00] = "UC Phy Initialization Failure",
- [0x01] = "UC Phy detected drift buffer alarm",
- [0x02] = "UC Phy detected latency buffer rollover",
-@@ -98,13 +98,13 @@ static char *qpi[] = {
- [0x31] = "COR LL Rx detected CRC error - successful LLR with Phy Reinit",
- };
-
--static struct field qpi_mc[] = {
-- FIELD(16, qpi),
-+static struct field upi_mc[] = {
-+ FIELD(16, upi),
- {}
- };
-
- /* These apply to MSCOD 0x12 "UC LL or Phy control error" */
--static struct field qpi_0x12[] = {
-+static struct field upi_0x12[] = {
- SBITFIELD(22, "Phy Control Error"),
- SBITFIELD(23, "Unexpected Retry.Ack flit"),
- SBITFIELD(24, "Unexpected Retry.Req flit"),
-@@ -194,10 +194,10 @@ void skylake_s_decode_model(int cputype, int bank, u64 status, u64 misc)
- case 5:
- case 12:
- case 19:
-- Wprintf("QPI: ");
-- decode_bitfield(status, qpi_mc);
-+ Wprintf("UPI: ");
-+ decode_bitfield(status, upi_mc);
- if (EXTRACT(status, 16, 21) == 0x12)
-- decode_bitfield(status, qpi_0x12);
-+ decode_bitfield(status, upi_0x12);
- break;
- case 7: case 8:
- Wprintf("M2M: ");
---
-2.14.1
-
diff --git a/source/a/mcelog/mcelog.SlackBuild b/source/a/mcelog/mcelog.SlackBuild
index 54e992f49..c0ee57fe7 100755
--- a/source/a/mcelog/mcelog.SlackBuild
+++ b/source/a/mcelog/mcelog.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mcelog
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -54,8 +54,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
-cd $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -66,9 +66,6 @@ find . \
zcat $CWD/mcelog.init.diff.gz | patch -p1 --verbose || exit 1
-# Include a commit from upstream git
-zcat $CWD/0001-mcelog-Change-name-of-skylake-interconnect-from-QPI-.patch.gz | patch -p1 --verbose || exit 1
-
make $NUMJOBS DOCDIR=/usr/doc/mcelog-$VERSION MANDIR=/usr/man \
|| make DOCDIR=/usr/doc/mcelog-$VERSION MANDIR=/usr/man \
|| exit 1
diff --git a/source/a/mcelog/slack-desc b/source/a/mcelog/slack-desc
index 2c4624f56..099110a30 100644
--- a/source/a/mcelog/slack-desc
+++ b/source/a/mcelog/slack-desc
@@ -15,5 +15,5 @@ mcelog: errors. It primarily handles machine checks and thermal events, which
mcelog: are reported for errors detected by the CPU. It is recommended that
mcelog: mcelog runs on all x86 machines, both 64-bit and 32bit.
mcelog:
-mcelog: mcelog home: ftp://ftp.kernel.org:/pub/linux/utils/cpu/mce
+mcelog: Homepage: https://git.kernel.org/pub/scm/utils/cpu/mce/mcelog.git/
mcelog: